local bagTotalSlots = {}
local bagFreeSlots = {}
BagStringNames = {BagEnds_BagString0, BagEnds_BagString1, BagEnds_BagString2, BagEnds_BagString3, BagEnds_BagString4, BagEnds_BankString0, BagEnds_BankString1, BagEnds_BankString2, BagEnds_BankString3, BagEnds_BankString4, BagEnds_BankString5, BagEnds_BankString6}
BagOutlineNames = {BagEnds_BagOutline0, BagEnds_BagOutline1, BagEnds_BagOutline2, BagEnds_BagOutline3, BagEnds_BagOutline4, BagEnds_BankOutline0, BagEnds_BankOutline1, BagEnds_BankOutline2, BagEnds_BankOutline3, BagEnds_BankOutline4, BagEnds_BankOutline5, BagEnds_BankOutline6}

local function GetColor(i)
	local r,g,b
   
	if (bagTotalSlots[i] ~= 0) then
		r = 2 - 2 * (bagFreeSlots[i]/bagTotalSlots[i])
		g = 2 * (bagFreeSlots[i]/bagTotalSlots[i])
		b = 0
	else
		r,g,b = 0,0,1
	end   
	
	return r, g, b
end

local function GetBagSlotString(i)
	local tempString
	if (BagEndsConfig.occupied) then
		tempString = bagTotalSlots[i] - bagFreeSlots[i]
	else
		tempString = bagFreeSlots[i]
	end
	if (BagEndsConfig.showTotal) then
		tempString = tempString .. "/" .. bagTotalSlots[i]
	end
	BagStringNames[i]:SetText(tempString)
end

local function SetFontColor(i)
	if (BagEndsConfig.colorText) then
		BagStringNames[i]:SetTextColor(GetColor(i))
	else
		BagStringNames[i]:SetTextColor(1.0, 1.0, 1.0)
	end
end

function BagEndsUpdate()
	for i = BagEndsConfig.lowerBagLimit, BagEndsConfig.upperBagLimit do
	
		bagTotalSlots[i] = GetContainerNumSlots(i-1)  
		bagFreeSlots[i] = GetContainerNumFreeSlots(i-1)

		if(BagEndsConfig.outline)then 
			BagOutlineNames[i]:SetVertexColor(GetColor(i))
			BagOutlineNames[i]:Show()
		else
			BagOutlineNames[i]:Hide()
		end
		
		if(BagEndsConfig.showText)then
			GetBagSlotString(i)
			SetFontColor(i)
			BagStringNames[i]:Show()
		else
			BagStringNames[i]:Hide()
		end
		
		if(BagEndsConfig.hideEmpty and bagTotalSlots[i] == 0) then
			BagStringNames[i]:Hide()
			BagOutlineNames[i]:Hide()
		end
	end
end

function BagEndsGetCount()
	local free, total = 0, 0
	for i  = 1, 5 do
		if bagTotalSlots[i] > 0 then
			free = free + bagFreeSlots[i]
			total = total + bagTotalSlots[i]
		end
	end
	return free, total
end

local function InitializeBag(parent)

	local border = CreateFrame("Frame", parent["border"], parent)
	border:SetAllPoints(parent)
	--border:SetTexture("Interface\Buttons\UI-ActionButton-Border")
	border.Border:Show()
	border:SetVertextColor(1.0, 1.0, 1.0)
	border:Show()

	local overlay = CreateFrame("Frame", parent..".overlay", parent)
	overlay:SetAllPoints(parent)
	overlay:SetText("NaN")
	overlay:SetTextColor(1.0, 1.0, 1.0)
	overlay:Show()

	return border, overlay
end

function BagEnds_Debug()
	print("Starting BE Debug")
	local thing = BankSlotsFrame["Bag1"]
	InitializeBag(thing)
	print("Initialized Bag")
end
