if(LibStub) then
	local ldb = LibStub:GetLibrary("LibDataBroker-1.1")
	if(ldb) then
		dataobj = ldb:NewDataObject("Bag Ends", {
			type = "launcher",
			icon = "Interface\\Icons\\INV_Misc_Bag_08",
			OnClick = function(clickedframe, button)
				InterfaceOptionsFrame_OpenToCategory(BagEndsConfigFrame)
			end,
		})

		local f = CreateFrame("frame")
		local UPDATEPERIOD, elapsed = 0.5, 0

		f:SetScript("OnUpdate", function(self, elap)
			elapsed = elapsed + elap
			if elapsed < UPDATEPERIOD then return end

			elapsed = 0
			BagEndsUpdateLDB()

		end)

		function dataobj:OnTooltipShow()
			self:AddLine("Click to open BagEnds Interface Options Frame")
		end

		function dataobj:OnEnter()
			GameTooltip:SetOwner(self, "ANCHOR_NONE")
			GameTooltip:SetPoint("TOP", self, "BOTTOM")
			GameTooltip:ClearLines()
			dataobj.OnTooltipShow(GameTooltip)
			GameTooltip:Show()
		end

		function dataobj:OnLeave()
			GameTooltip:Hide()
		end

		function BagEndsUpdateLDB()
			local free, total = BagEndsGetCount()
			local tempString = free
			
			if(BagEndsConfig.occupied) then
				tempString = total - free
			end
			if(BagEndsConfig.showTotal) then
				tempString = tempString .. "/" .. total
			end
			
			dataobj.text = tempString
		end
	end
end