-- slash commands
SLASH_BAGENDS1, SLASH_BAGENDS2 = "/bagends", "/be"

-- Load confirmation msg (addon name, version and slash commands are inserted automatically): 
--Bag Ends v#.# Loaded - Use /bagends or /be for Help!
BE_LOADMSG1, BE_LOADMSG2, BE_LOADMSG3 = "Loaded - Use", "or", "for help!"

-- Help Message (slash commands are inserted automatically): 
--Use /bagends or /be followed by an argument:
BE_HELPMSG1, BE_HELPMSG2, BE_HELPMSG3 = "Use", "or",  "followed by an argument:"

--Headers for Options Frame
BE_GENERALHEADER = "General Options"
BE_DISPLAYHEADER = "Display Options"

-- Arguments for slash handling. Example: /bagends outline.
BE_CONFIG = "config"
BE_OUTLINE = "outline"
BE_TEXT = "text"
BE_COLOR = "color"
BE_FREE = "free"
BE_TOTAL = "total"
BE_BANK = "bank"
BE_INVENTORY = "inventory"
BE_EMPTY = "empty"

-- Options Frame checkbox names
BE_OUTLINETOGGLE = "Show Bag Status Outline"
BE_TEXTTOGGLE = "Show Bag Status Text"
BE_COLORTOGGLE = "Color Status Text"
BE_FREETOGGLE = "Count Full Bag Slots"
BE_TOTALTOGGLE = "Show Total Bag Size"
BE_BANKTOGGLE = "Show Bank Bag Status"
BE_INVENTORYTOGGLE = "Show Inventory Bag Status"
BE_EMPTYTOGGLE = "Hide Empty Bag Slots"

-- Tooltips, displayed with the /bagends help dialog and when mousing over check boxes in the blizzard interface options frame.
BE_CONFIGTOOLTIP = "Shows the Bag Ends Configuration Frame."
BE_OUTLINETOOLTIP = "Toggle Status Outlines. Useful if you only want Status Text."
BE_TEXTTOOLTIP = "Toggles Status Text. Useful if you only want Status Outlines."
BE_COLORTOOLTIP = "Color the Status Text to indicate how full a bag is."
BE_FREETOOLTIP = "Toggle between the display of FREE bag slots or FULL bag slots."
BE_TOTALTOOLTIP = "Append the bag size to the Status Text."
BE_BANKTOOLTIP = "Toggles the display of Bank Bags' status."
BE_INVENTORYTOOLTIP = "Toggles the display of Inventory Bags' status."
BE_EMPTYTOOLTIP = "Hides the status display of unequipped/unpurchased bag slots"

if (GetLocale() == "frFR") then
	BE_BANK = "banque"
	BE_BANKTOGGLE = "Afficher l'tat des sacs de la banque"
	BE_BANKTOOLTIP = "Affiche ou non l'tat des sacs de la banque"
	BE_COLOR = "couleur"
	BE_COLORTOGGLE = "Colorer le texte d'tat"
	BE_COLORTOOLTIP = "Colorie le texte d'tat pour indiquer le remplissage des sacs"
	BE_CONFIG = "config"
	BE_CONFIGTOOLTIP = "Affiche la fentre de configuration de Bag Ends"
	BE_DISPLAYHEADER = "Options d'affichage"
	BE_EMPTY = "vide"
	BE_EMPTYTOGGLE = "Ne pas afficher dans les emplacements de sacs vides"
	BE_EMPTYTOOLTIP = "Cache l'affichage de l'tat des emplacements de sacs vides ou non achets"
	BE_FREE = "libre"
	BE_FREETOGGLE = "Afficher les emplacements utiliss"
	BE_FREETOOLTIP = "Affiche ou non le nombre d'emplacements de sac libres ou utiliss"
	BE_GENERALHEADER = "Options Gnrales"
	BE_INVENTORY = "inventaire"
	BE_INVENTORYTOGGLE = "Afficher l'tat des sacs de l'inventaire"
	BE_INVENTORYTOOLTIP = "Affiche ou non l'tat des sacs de l'inventaire"
	BE_OUTLINE = "bordure"
	BE_OUTLINETOGGLE = "Afficher la bordure d'tat des sacs"
	BE_OUTLINETOOLTIP = "Affiche ou non la bordure d'tat. Utile si vous ne voulez que le texte d'tat."
	BE_TEXT = "texte"
	BE_TEXTTOGGLE = "Afficher le texte d'tat des sacs"
	BE_TEXTTOOLTIP = "Affiche ou non le texte d'tat. Utile si vous ne voulez que la bordure d'tat."
	BE_TOTAL = "total"
	BE_TOTALTOGGLE = "Afficher la taille totale des sacs"
	BE_TOTALTOOLTIP = "Ajouter la taille du sac au texte d'tat."
	SLASH_BAGENDS1 = "/bagends"
	SLASH_BAGENDS2 = "/be"
end

if (GetLocale() == "deDE") then
print("Please consider helping localize Bag Ends to your local language! http://wow.curseforge.com/addons/bag_ends/localization/")
end

if (GetLocale() == "koKR") then
	BE_BANK = "bank"
	BE_BANKTOGGLE = "\236\157\128\237\150\137 \234\176\128\235\176\169 \236\131\129\237\131\156 \237\145\156\236\139\156"
	BE_BANKTOOLTIP = "\236\157\128\237\150\137 \234\176\128\235\176\169\236\157\152 \236\131\129\237\131\156 \237\145\156\236\139\156\235\165\188 \236\160\132\237\153\152\237\149\169\235\139\136\235\139\164."
	BE_COLOR = "color"
	BE_COLORTOGGLE = "\236\131\129\237\131\156 \234\184\128\236\158\144 \236\131\137\236\131\129\237\153\148"
	BE_COLORTOOLTIP = "\236\131\129\237\131\156 \234\184\128\236\158\144\235\165\188 \234\176\128\235\176\169\236\157\152 \234\179\181\234\176\132\236\151\144 \235\148\176\235\157\188 \236\131\137\236\131\129\237\153\148 \237\149\169\235\139\136\235\139\164."
	BE_CONFIG = "config"
	BE_CONFIGTOOLTIP = "Bag Ends\236\157\152 \236\132\164\236\160\149\236\176\189\236\157\132 \236\151\189\235\139\136\235\139\164."
	BE_DISPLAYHEADER = "\237\145\156\236\139\156 \236\132\164\236\160\149"
	BE_EMPTY = "empty"
	BE_EMPTYTOGGLE = "\235\185\136 \234\179\181\234\176\132 \236\136\168\234\184\176\234\184\176"
	BE_EMPTYTOOLTIP = "\236\131\129\237\131\156 \237\145\156\236\139\156\236\151\144\236\132\156 \236\176\169\236\154\169\236\157\180 \235\182\136\234\176\128\235\138\165\237\149\152\234\177\176\235\130\152 \237\140\144\235\167\164 \235\182\136\234\176\128\235\138\165\237\149\156 \236\131\129\237\131\156\236\157\152 \234\176\128\235\176\169 \234\179\181\234\176\132\236\157\128 \236\136\168\234\185\129\235\139\136\235\139\164."
	BE_FREE = "free"
	BE_FREETOGGLE = "\236\130\172\236\154\169 \234\179\181\234\176\132\236\156\188\235\161\156 \237\145\156\236\139\156"
	BE_FREETOOLTIP = "\234\176\128\235\176\169 \234\179\181\234\176\132\236\157\132 \235\185\136 \234\179\181\234\176\132/\236\130\172\236\154\169 \234\179\181\234\176\132\236\156\188\235\161\156 \236\160\132\237\153\152\237\149\152\236\151\172 \237\145\156\236\139\156\237\149\169\235\139\136\235\139\164."
	BE_GENERALHEADER = "\236\157\188\235\176\152 \236\132\164\236\160\149"
	BE_INVENTORY = "inventory"
	BE_INVENTORYTOGGLE = "\236\134\140\236\167\128\237\146\136 \234\176\128\235\176\169 \236\131\129\237\131\156 \237\145\156\236\139\156"
	BE_INVENTORYTOOLTIP = "\236\134\140\236\167\128\237\146\136 \234\176\128\235\176\169\236\157\152 \236\131\129\237\131\156 \237\145\156\236\139\156\235\165\188 \236\160\132\237\153\152\237\149\169\235\139\136\235\139\164."
	BE_OUTLINE = "outline"
	BE_OUTLINETOGGLE = "\234\176\128\235\176\169 \236\131\129\237\131\156\236\157\152 \236\153\184\234\179\189\236\132\160 \237\145\156\236\139\156"
	BE_OUTLINETOOLTIP = "\234\176\128\235\176\169 \236\131\129\237\131\156\236\157\152 \236\153\184\234\179\189\236\132\160\236\157\132 \237\145\156\236\139\156\237\149\169\235\139\136\235\139\164. \235\152\144\237\149\156 \234\184\128\236\158\144\235\161\156\235\143\132 \237\145\156\236\139\156\237\149\160 \236\136\152 \236\158\136\236\138\181\235\139\136\235\139\164."
	BE_TEXT = "text"
	BE_TEXTTOGGLE = "\234\176\128\235\176\169 \236\131\129\237\131\156 \234\184\128\236\158\144 \237\145\156\236\139\156"
	BE_TEXTTOOLTIP = "\236\131\129\237\131\156 \234\184\128\236\158\144\235\165\188 \237\145\156\236\139\156\237\149\169\235\139\136\235\139\164. \235\152\144\237\149\156 \236\153\184\234\179\189\236\132\160\236\156\188\235\161\156\235\143\132 \237\145\156\236\139\156\237\149\160 \236\136\152 \236\158\136\236\138\181\235\139\136\235\139\164."
	BE_TOTAL = "total"
	BE_TOTALTOGGLE = "\234\176\128\235\176\169\236\157\152 \236\181\156\235\140\128 \234\179\181\234\176\132 \237\145\156\236\139\156"
	BE_TOTALTOOLTIP = "\234\176\128\235\176\169\236\157\152 \236\181\156\235\140\128 \234\179\181\234\176\132\236\157\132 \237\145\156\236\139\156\237\149\169\235\139\136\235\139\164."
	SLASH_BAGENDS1 = "/bagends"
	SLASH_BAGENDS2 = "/be"
end

if (GetLocale() == "zhTW") then
print("Please consider helping localize Bag Ends to your local language! http://wow.curseforge.com/addons/bag_ends/localization/")
end

if (GetLocale() == "esES") then
print("Please consider helping localize Bag Ends to your local language! http://wow.curseforge.com/addons/bag_ends/localization/")
end

if (GetLocale() == "ruRU") then
print("Please consider helping localize Bag Ends to your local language! http://wow.curseforge.com/addons/bag_ends/localization/")
end

if (GetLocale() == "esMX") then
print("Please consider helping localize Bag Ends to your local language! http://wow.curseforge.com/addons/bag_ends/localization/")
end

if (GetLocale() == "zhCN") then
print("Please consider helping localize Bag Ends to your local language! http://wow.curseforge.com/addons/bag_ends/localization/")
end